Update thumbnail from video
Select frame from video to use as thumbnail.
Path Parameters
- Type: stringasset
_id requiredAsset id of the video asset which needs to be deleted.
Body
application/json
- Type: numberframe
_at _second requiredActual time in second at which thumbnail extraction needs to be done. It can be a fraction of a second as well
Responses
- text/plain
- application/json
- application/json
- application/json
- application/json
Request Example for post/video/assets/{asset_id}/thumbnail-select
import Gumlet from '@gumlet/nodejs-sdk';
const client = new Gumlet({
apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});
const videoAsset = await client.videoAssets.thumbnailSelect('assetId', { frame_at_second: 2 });
console.log(videoAsset);
{
"success": true,
"asset_id": "6495e52a01e29f9a90f3e884",
"thumbnail_updated_at": 1787073689058
}
